Update Watchlist

Rename or re-describe a watchlist.

Updates a watchlist's title and/or description. The list type is immutable — if you send it, it is ignored. Pass description: null to clear the description.

Update watchlist

PUT/api/v2/watchlists/{kind}/{watchlist_id}

Path parameters

ParameterTypeDescription
kindstringWatchlist kind: company or profile (matches the list type).
watchlist_idintegerIdentifier of the watchlist.

Request body

FieldTypeDescription
titlestringOptional. New title, non-empty.
descriptionstringOptional. New description; pass null to clear it.

Example request

curl -X PUT "https://api.getsillage.com/api/v2/watchlists/company/128" \
  -H "Authorization: Bearer $SILLAGE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "title": "Key competitors (EMEA)", "description": "Refocused on EMEA" }'
const response = await fetch('https://api.getsillage.com/api/v2/watchlists/company/128', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.SILLAGE_API_KEY}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    title: 'Key competitors (EMEA)',
    description: 'Refocused on EMEA',
  }),
})

const result = await response.json()
import { request } from 'node:https'

const body = JSON.stringify({
  title: 'Key competitors (EMEA)',
  description: 'Refocused on EMEA',
})

const req = request(
  new URL('https://api.getsillage.com/api/v2/watchlists/company/128'),
  {
    method: 'PUT',
    headers: {
      Authorization: `Bearer ${process.env.SILLAGE_API_KEY}`,
      'Content-Type': 'application/json',
      'Content-Length': Buffer.byteLength(body),
    },
  },
  (res) => {
    let data = ''
    res.on('data', (chunk) => {
      data += chunk
    })
    res.on('end', () => {
      console.log(JSON.parse(data))
    })
  },
)

req.write(body)
req.end()
import os
import requests

response = requests.put(
    "https://api.getsillage.com/api/v2/watchlists/company/128",
    json={"title": "Key competitors (EMEA)", "description": "Refocused on EMEA"},
    headers={"Authorization": f"Bearer {os.environ['SILLAGE_API_KEY']}"},
    timeout=30,
)
response.raise_for_status()
result = response.json()

Example response

{
  "data": {
    "id": 128,
    "kind": "company",
    "type": "competitor",
    "title": "Key competitors (EMEA)",
    "description": "Refocused on EMEA",
    "entity_count": 12,
    "bound_agent_count": 1
  }
}

Errors

StatusDescription
401The API key is missing or invalid.
404The watchlist does not exist in your workspace.
422Invalid watchlist_id or request body.
429Too many requests.

On this page